Bug 1512982 (CVE-2017-8585) - CVE-2017-8585 .NET Core: DoS via invalid culture
Summary: CVE-2017-8585 .NET Core: DoS via invalid culture
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-8585
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1513073 1513074 1513076 1513077
Blocks: 1512757
TreeView+ depends on / blocked
 
Reported: 2017-11-14 14:46 UTC by Trevor Jay
Modified: 2021-02-17 01:14 UTC (History)
7 users (show)

Fixed In Version: dotnetcore 1.0.7, dotnetcore 1.1.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-01 11:34:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3248 0 normal SHIPPED_LIVE Low: .NET Core security update 2017-11-30 21:45:28 UTC

Description Trevor Jay 2017-11-14 14:46:20 UTC
By providing an invalid culture, an attacker can cause a recursive lookup that leads to a denial of service.

Comment 3 Omair Majid 2017-11-15 20:32:39 UTC
The upstream note about this CVE (https://github.com/dotnet/announcements/issues/34) states:

"""
System administrators are advised to update their .NET Core runtimes to versions 1.0.7 and 1.1.4.
"""

It looks like this was fixed even before .NET Core 1.1.5 and 1.0.8.

The announcement also states:

"""
.NET Core 1.x applications are only affected if running on Windows 10 or Windows 2016.
"""

This doesnt appear to affect Linux. But due to how self-contained applications can be built for other platforms, this needs to be fixed everywhere.

Comment 4 errata-xmlrpc 2017-11-20 11:46:13 UTC
This issue has been addressed in the following products:

  dotNET on RHEL

Via RHSA-2017:3248 https://access.redhat.com/errata/RHSA-2017:3248


Note You need to log in before you can comment on or make changes to this bug.